[CalendarServer-changes] [4622] CalendarServer/branches/egg-info-351/support/build.sh

source_changes at macosforge.org source_changes at macosforge.org
Tue Oct 20 15:48:07 PDT 2009


Revision: 4622
          http://trac.macosforge.org/projects/calendarserver/changeset/4622
Author:   wsanchez at apple.com
Date:     2009-10-20 15:48:06 -0700 (Tue, 20 Oct 2009)
Log Message:
-----------
Don't build memcached if it's on the system

Modified Paths:
--------------
    CalendarServer/branches/egg-info-351/support/build.sh

Modified: CalendarServer/branches/egg-info-351/support/build.sh
===================================================================
--- CalendarServer/branches/egg-info-351/support/build.sh	2009-10-20 22:41:50 UTC (rev 4621)
+++ CalendarServer/branches/egg-info-351/support/build.sh	2009-10-20 22:48:06 UTC (rev 4622)
@@ -412,13 +412,15 @@
 # or, it may do as much as download and install all dependencies.
 dependencies () {
 
-  # Dependencies compiled from C source code
-  local le="libevent-1.4.8-stable";
-  c_dependency "libevent" "${le}" \
-    "http://monkey.org/~provos/libevent-1.4.8-stable.tar.gz";
-  c_dependency "memcached" "memcached-1.2.6" \
-    "http://www.danga.com/memcached/dist/memcached-1.2.6.tar.gz" \
-    --enable-threads --with-libevent="${top}/${le}/_root";
+  if ! type memcached >& /dev/null; then
+    # Dependencies compiled from C source code
+    local le="libevent-1.4.8-stable";
+    c_dependency "libevent" "${le}" \
+      "http://monkey.org/~provos/libevent-1.4.8-stable.tar.gz";
+    c_dependency "memcached" "memcached-1.2.6" \
+      "http://www.danga.com/memcached/dist/memcached-1.2.6.tar.gz" \
+      --enable-threads --with-libevent="${top}/${le}/_root";
+  fi;
 
   # Python dependencies
   py_dependency "Zope Interface" "zope.interface" "zope.interface-3.3.0" \
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20091020/72c7fe46/attachment.html>


More information about the calendarserver-changes mailing list